package com.sckw.core.model.base;

import com.sckw.core.utils.StringUtils;

import java.util.List;

/**
 * ids处理接口类
 *
 * @author xucaiqin
 * @date 2023-07-27 16:40:15
 */
public interface IdsList {
    default String getIds() {
        return "";
    }

    default List<Long> getIdList() {
        return StringUtils.splitStrToList(getIds(), Long.class);
    }

    default List<String> getIdsList() {
        return StringUtils.splitStrToList(getIds(), String.class);
    }
}
